Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class TreeBuilder

    java.lang.Object
      de.grogra.util.TreeBuilder

    public abstract class TreeBuilder

extends java.lang.Object

Field Summary
`protected java.util.List` | `nodes`
`protected javax.swing.tree.TreeModel` | `source`
`protected MutableTreeModel` | `target`

Constructor Summary
`TreeBuilder()`

Method Summary
`void` | `buildTree(javax.swing.tree.TreeModel source, java.lang.Object sourceRoot, MutableTreeModel target, java.util.List nodes)`
`protected abstract java.lang.Object` | `createGroup(java.lang.Object sourceGroup)`
`protected abstract java.lang.Object` | `createNodes(java.lang.Object node, java.lang.Object sourceNode)`
`protected abstract java.lang.Object` | `createNodesInGroup(java.lang.Object node, java.lang.Object sourceGroup)`
`protected boolean` | `isLeafSource(java.lang.Object sourceNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodes

    protected java.util.List nodes

### source

    protected javax.swing.tree.TreeModel source

### target

    protected MutableTreeModel target

Constructor Detail

### TreeBuilder

    public TreeBuilder()

Method Detail

### buildTree

    public void buildTree(javax.swing.tree.TreeModel source,
                          java.lang.Object sourceRoot,
                          MutableTreeModel target,
                          java.util.List nodes)

### createGroup

    protected abstract java.lang.Object createGroup(java.lang.Object sourceGroup)

### createNodes

    protected abstract java.lang.Object createNodes(java.lang.Object node,
                                                    java.lang.Object sourceNode)

### createNodesInGroup

    protected abstract java.lang.Object createNodesInGroup(java.lang.Object node,
                                                           java.lang.Object sourceGroup)

### isLeafSource

    protected boolean isLeafSource(java.lang.Object sourceNode)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD